# Class CapitualAccountPayload

#### Hierarchy

- unknown
  - CapitualAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:5063
- Defined in src/protobuf/pb_pb.d.ts:5075

#####
Index

### Constructors

constructor

### Methods

getAccountNr
serializeBinary
setAccountNr
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CapitualAccountPayload(): CapitualAccountPayload

- #### Returns CapitualAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getAccountNr

- getAccountNr(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5064

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5067

### setAccountNr

- setAccountNr(value: string): CapitualAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns CapitualAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5065

### toObject

- toObject(includeInstance?: boolean): CapitualAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CapitualAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5068

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CapitualAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CapitualAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5071

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CapitualAccountPayload, reader: BinaryReader): CapitualAccountPayload

- #### Parameters

  - ##### message: CapitualAccountPayload

  - ##### reader: BinaryReader

  #### Returns CapitualAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5072

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CapitualAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CapitualAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5070

### `Static` toObject

- toObject(includeInstance: boolean, msg: CapitualAccountPayload): CapitualAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CapitualAccountPayload

  #### Returns CapitualAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5069

Generated using TypeDoc